Subject: bug#20458: 24.5; Emacs renders the font taller than other applications

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 07:13:45 +0100

Fangwen Yu <[email-masked]> writes:

> Emacs renders the font taller than Gnome Terminal and Gedit do when
> using the same font. Here is a screenshot of Emacs and Gnome Terminal
> using DejaVu Sans Mono size 11, http://i.imgur.com/Y86uSlY.png, in fact,
> the font height in Emacs is identical to the height of size 12 in
> Terminal.
>
> The screenshot uses slight hinting, but with full hinting, Emacs renders
> the font the same way as other GTK applications.

(This bug report unfortunately got no feedback at the time.)

I tried reproducing this on the Debian system with Emacs 27, but the
fonts in the Terminal window and Emacs look like they have identical
heights to me.

Are you still seeing this problem in modern versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no